#include <ultra64.h>
#include "pub.h"
#include "textures/radwar.h"
#include "textures/trsi.h"
#include "textures/blank.h"
#include "textures/fire.h"
#include "textures/blank1.h"

#define __MAX_S__	31
#define __MAX_T__	31

/*
 *  Cube model vertex data 
 */
const Vtx_tn VERTS_Box1[]= {

  {-10, -10, -50, 0,         0 << 6, __MAX_T__ << 6, -73, -73, -73, 255},
  { 10, -10, -50, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73, -73, 255},
  { 10,  10, -50, 0, __MAX_S__ << 6,         0 << 6,  73,  73, -73, 255},
  {-10,  10, -50, 0,         0 << 6,         0 << 6, -73,  73, -73, 255},

  {-10, -10,  10, 0,         0 << 6, __MAX_T__ << 6, -73, -73,  73, 255},
  { 10, -10,  10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73,  73, 255},
  { 10,  10,  10, 0, __MAX_S__ << 6,         0 << 6,  73,  73,  73, 255},
  {-10,  10,  10, 0,         0 << 6,         0 << 6, -73,  73,  73, 255},

  {-10, -50, -10, 0,         0 << 6, __MAX_T__ << 6, -73, -73, -73, 255},
  { 10, -50, -10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73, -73, 255},
  { 10,  10, -10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73,  73, -73, 255},
  {-10,  10, -10, 0,         0 << 6, __MAX_T__ << 6, -73,  73, -73, 255},

  {-10, -50,  10, 0,         0 << 6,         0 << 6, -73, -73,  73, 255},
  { 10, -50,  10, 0, __MAX_S__ << 6,         0 << 6,  73, -73,  73, 255},
  { 10,  10,  10, 0, __MAX_S__ << 6,         0 << 6,  73,  73,  73, 255},
  {-10,  10,  10, 0,         0 << 6,         0 << 6, -73,  73,  73, 255},

};


const Vtx_tn VERTS_Box2[]= {

  {-10, -30, -10, 0,         0 << 6, __MAX_T__ << 6, -73, -73, -73, 255},
  { 10, -30, -10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73, -73, 255},
  { 10, -10, -10, 0, __MAX_S__ << 6,         0 << 6,  73,  73, -73, 255},
  {-10, -10, -10, 0,         0 << 6,         0 << 6, -73,  73, -73, 255},

  {-10, -30,  10, 0,         0 << 6, __MAX_T__ << 6, -73, -73,  73, 255},
  { 10, -30,  10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73,  73, 255},
  { 10, -10,  10, 0, __MAX_S__ << 6,         0 << 6,  73,  73,  73, 255},
  {-10, -10,  10, 0,         0 << 6,         0 << 6, -73,  73,  73, 255},

  {-10, -30, -10, 0,         0 << 6, __MAX_T__ << 6, -73, -73, -73, 255},
  { 10, -30, -10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73, -73, -73, 255},
  { 10, -10, -10, 0, __MAX_S__ << 6, __MAX_T__ << 6,  73,  73, -73, 255},
  {-10, -10, -10, 0,         0 << 6, __MAX_T__ << 6, -73,  73, -73, 255},

  {-10, -30,  10, 0,         0 << 6,         0 << 6, -73, -73,  73, 255},
  { 10, -30,  10, 0, __MAX_S__ << 6,         0 << 6,  73, -73,  73, 255},
  { 10, -10,  10, 0, __MAX_S__ << 6,         0 << 6,  73,  73,  73, 255},
  {-10, -10,  10, 0,         0 << 6,         0 << 6, -73,  73,  73, 255},

};



